extends "res://objects/characters/character.gd"

export var reverse_direction: bool = false
export(String, FILE, "*.tscn") var flake_scene

onready var level = get_parent()
onready var main = level.get_parent()

func _ready():
	$Sprite.flip_h = reverse_direction

func _on_player_entered(body):
	main.load_level(flake_scene, true)
